package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.common.utils.StringUtils;
import com.ozs.service.entity.MsgAppPush;
import com.ozs.service.entity.vo.MsgAppPushVo;
import com.ozs.service.mapper.MsgAppPushMapper;
import com.ozs.service.service.MsgAppPushService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Service
public class MsgAppPushServiceImpl extends ServiceImpl<MsgAppPushMapper, MsgAppPush> implements MsgAppPushService {
    @Autowired
    MsgAppPushMapper msgAppPushMapper;

    @Override
    public List<MsgAppPushVo> alarmPushMsg(Integer status) {
        List<MsgAppPushVo> list = msgAppPushMapper.alarmPushMsg(status);
        return list;
    }

    @Override
    public int update(Long id, Integer status, String updateBy) {
        int num = msgAppPushMapper.update(id, status, updateBy);
        return num;
    }

    @Override
    public Integer appAlarmNum(String userId) {
        Integer integer = msgAppPushMapper.appAlarmNum(userId);
        return integer;
    }
}
