package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.service.entity.MsgWebPush;
import com.ozs.service.mapper.MsgWebPushMapper;
import com.ozs.service.service.MsgWebPushService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:34
 */
@Service
public class MsgWebPushServiceImpl extends ServiceImpl<MsgWebPushMapper, MsgWebPush> implements MsgWebPushService {
    @Autowired
    private MsgWebPushMapper msgWebPushMapper;

    @Override
    public int read(MsgWebPush msgWebPush) {
        // 状态：1未读；2已读
        msgWebPush.setStatus(2);
        return msgWebPushMapper.updateById(msgWebPush);
    }

    @Override
    public Map webAlarm(String userId) {
        Map<String, Object> webAlarmMap = new HashMap<>();
        Integer webAlarmNum = msgWebPushMapper.webAlarmNum(userId);
        List<MsgWebPush> webAlarm = msgWebPushMapper.webAlarm(userId);
        webAlarmMap.put("webAlarmNum", webAlarmNum);
        webAlarmMap.put("webAlarm", webAlarm);
        return webAlarmMap;
    }
}
